Bug 16760 - up2date fails to start out of box
up2date fails to start out of box
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Winston gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-22 18:10 EDT by Brock Organ
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-11 14:42:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2000-08-22 18:10:53 EDT
using rc2:

% ps afxww | grep up2date
12152 pts/1    S      0:00          |   \_ up2date
12153 pts/1    S      0:00          |       \_ /usr/sbin/userhelper -w
up2date
12157 pts/1    S      0:01          |           \_ python /usr/sbin/up2date
12185 pts/2    S      0:00              \_ grep up2date
% 

using up2date:

% rpm -q up2date
up2date-1.99-1
% 

running up2date in X from a (root or non-root) user command line fails to
bring up a window (even though the processes are running):

% up2date

** WARNING **: document not well formed!

** WARNING **: Could not parse file

Gtk-CRITICAL **: file gtkobject.c: line 1161 (gtk_object_ref): assertion
`object != NULL' failed.

Gtk-WARNING **: invalid cast from (NULL) pointer to `GladeXML'

** CRITICAL **: file glade-xml.c: line 454
(glade_xml_signal_autoconnect_full): assertion `self != NULL' failed.

Gtk-WARNING **: invalid cast from (NULL) pointer to `GladeXML'

** CRITICAL **: file glade-xml.c: line 537 (glade_xml_get_widget):
assertion `self != NULL' failed.

Gtk-WARNING **: invalid cast from (NULL) pointer to `GladeXML'

** CRITICAL **: file glade-xml.c: line 537 (glade_xml_get_widget):
assertion `self != NULL' failed.
Traceback (innermost last):
  File "/usr/sbin/up2date", line 492, in ?
    main()
  File "/usr/sbin/up2date", line 486, in main
    gui = Gui()
  File "/usr/sbin/up2date", line 49, in __init__
    self.mainWin.connect("delete-event", gtk.mainquit)
AttributeError: 'None' object has no attribute 'connect'

Gtk-CRITICAL **: file gtkobject.c: line 1171 (gtk_object_unref): assertion
`object != NULL' failed.

This is using the out-of-box unedited conf file:

# Automatically generated file, do not edit.
debug[comment]=Whether or not debugging is enabled
debug=0

noReplaceConfig[comment]=When selected, no packages that would change
configuration data are automatically i\nstalled
noReplaceConfig=0

retrieveOnly[comment]=Retrieve packages only
retrieveOnly=1

keepAfterInstall[comment]=Keep packages on disk after installation
keepAfterInstall=0

fileSkipList[comment]=A list of file names, optionally including wildcards,
to skip
fileSkipList=;

retrieveNew[comment]=Display all available packages
retrieveNew=0

pkgSkipList[comment]=A list of package names, optionally including
wildcards, to skip
pkgSkipList=kernel*;

adminAddress[comment]=List of e-mail addresses for Red Hat Update Agent to
communicate with when run in batc\h mode
adminAddress=root@localhost;

storageDir[comment]=Where to store packages and other data when they are
retrieved
storageDir=/var/spool/up2date

versionOverride[comment]=Override the automatically determined system
version
versionOverride=
Comment 1 Glen Foster 2000-08-23 10:00:59 EDT
This defect is considered MUST-FIX for Winston Gold release
Comment 2 Michael Redinger 2000-08-25 06:45:43 EDT
Hm, is the above from a clean install or from an update? I did a clean install
and got the 
following error (conf file moved to /etc/sysconfig/rhn/). Then the program hang,
had to stop it with Ctrl-C.


error opening /etc/up2date.conf for reading.

** WARNING **: document not well formed!

** WARNING **: Could not parse file

Gtk-CRITICAL **: file gtkobject.c: line 1161 (gtk_object_ref): assertion `object
 != NULL' failed.
Comment 3 Preston Brown 2000-09-11 14:42:52 EDT
fixed.

Note You need to log in before you can comment on or make changes to this bug.